Bug 1732581 - OCM integration tests don't test the product
Summary: OCM integration tests don't test the product
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-controller-manager
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Gabe Montero
QA Contact: wewang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-23 19:22 UTC by David Eads
Modified: 2019-07-30 15:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-30 15:40:38 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Eads 2019-07-23 19:22:30 UTC
Existing integration tests do not test valid configuration modes or mechanisms for the OCM.  They rely on modes of wiring that have not been valid since 3.11 and are now impossible to wire. The tests should either be unit tests checking the behavior of specific pieces or e2e tests checking wiring.  These are the final integration tests being snipped today:


  TestBuildDefaultAnnotations
  TestBuildDefaultEnvironment
  TestBuildDefaultGitHTTPProxy
  TestBuildDefaultGitHTTPSProxy
  TestBuildDefaultLabels
  TestBuildDefaultNodeSelectors
  TestBuildDeleteController
  TestBuildOverrideAnnotations
  TestBuildOverrideForcePull
  TestBuildOverrideForcePullCustomStrategy
  TestBuildOverrideLabels
  TestBuildOverrideNodeSelectors
  TestBuildOverrideTolerations

Comment 1 David Eads 2019-07-24 14:10:34 UTC
A handy link to the final state of test-integration: https://github.com/openshift/origin/tree/ac77c8a2e1f2b93131daca15d1fdbeb8832840e7/test/integration

Comment 2 Adam Kaplan 2019-07-30 15:07:14 UTC
Also being tracked in JIRA - https://jira.coreos.com/browse/DEVEXP-381

Comment 3 Gabe Montero 2019-07-30 15:40:38 UTC
Let's just use the JIRA to track.

That way, QE dose not get pulled in (as that Jira is no-qe)

FYI PR https://github.com/openshift/origin/pull/23497 is up and is awaiting approve/lgtm


Note You need to log in before you can comment on or make changes to this bug.